# eslint-config

This repository is the NPM package for ESLINT configuration of IO-Projects TypeScript front-end projects.

## Installation

Add the registery to your `.npmrc` file:

```bash
@ioprojects:registry=https://git.endmove.eu/api/packages/IO-ProjectsOfficial/npm/
```

Install the package:

```bash
# with yarn
yarn add -D @ioprojects/eslint-config

# with npm
npm install --save-dev @ioprojects/eslint-config
```

## Usage

Add the following to your `.eslintrc.js` file:

```js
module.exports = {
  extends: [
    '@ioprojects/eslint-config'
  ]
}
```

**Or**

Add the following to your `.eslintrc.json` file:
  
```json
{
  "extends": [
    "@ioprojects/eslint-config"
  ]
}
```

**Or**

Add the following to your `.eslintrc.cjs` file:

```js
module.exports = require('@ioprojects/eslint-config');
```

### Note for developers

When your pull request is merged into the **master** branch, you can promote your build on [drone.endmove.eu](https://drone.endmove.eu) to create a usable version. Use `master` as the target, and add the `VERSION` parameter with one of these values: `major | minor | patch | premajor | preminor | prepatch | prerelease`.
